Digest Run
Pub/Sub push から転送されたメッセージを受信し、ダイジェスト実行を行う。 gateway 非経由(_GATEWAY_EXEMPT_PATHS)のため呼出元 OIDC を必ず検証する。
POST
/tasks/digest-runHeader parameters
authorizationstring | anyRequest body
requiredapplication/jsonmessageobjectdefault: {}
subscriptionstringdefault: ""
Responses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/tasks/digest-run" \
-H "Content-Type: application/json" \
-d '{
"message": {},
"subscription": ""
}'const response = await fetch("/tasks/digest-run", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"message": {},
"subscription": ""
})
});import requests
response = requests.post(
"/tasks/digest-run",
headers={
"Content-Type": "application/json"
},
json={
"message": {},
"subscription": ""
},
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}